<?php
/**
 * EmailLookupResponseTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * TextMagic
 *
 * TextMagic REST API
 *
 * OpenAPI spec version: 2
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.7
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Please update the test case below to test the model.
 */

namespace text-magic;

/**
 * EmailLookupResponseTest Class Doc Comment
 *
 * @category    Class
 * @description EmailLookupResponse
 * @package     text-magic
 * @author      Swagger Codegen team
 * @link        https://github.com/swagger-api/swagger-codegen
 */
class EmailLookupResponseTest extends \PHPUnit_Framework_TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "EmailLookupResponse"
     */
    public function testEmailLookupResponse()
    {
    }

    /**
     * Test attribute "address"
     */
    public function testPropertyAddress()
    {
    }

    /**
     * Test attribute "addressType"
     */
    public function testPropertyAddressType()
    {
    }

    /**
     * Test attribute "emailRole"
     */
    public function testPropertyEmailRole()
    {
    }

    /**
     * Test attribute "reason"
     */
    public function testPropertyReason()
    {
    }

    /**
     * Test attribute "status"
     */
    public function testPropertyStatus()
    {
    }

    /**
     * Test attribute "deliverability"
     */
    public function testPropertyDeliverability()
    {
    }

    /**
     * Test attribute "isDisposableAddress"
     */
    public function testPropertyIsDisposableAddress()
    {
    }

    /**
     * Test attribute "localPart"
     */
    public function testPropertyLocalPart()
    {
    }

    /**
     * Test attribute "domainPart"
     */
    public function testPropertyDomainPart()
    {
    }

    /**
     * Test attribute "exchange"
     */
    public function testPropertyExchange()
    {
    }

    /**
     * Test attribute "isInWhiteList"
     */
    public function testPropertyIsInWhiteList()
    {
    }

    /**
     * Test attribute "isInBlackList"
     */
    public function testPropertyIsInBlackList()
    {
    }

    /**
     * Test attribute "hasMx"
     */
    public function testPropertyHasMx()
    {
    }

    /**
     * Test attribute "hasAa"
     */
    public function testPropertyHasAa()
    {
    }

    /**
     * Test attribute "hasAaaa"
     */
    public function testPropertyHasAaaa()
    {
    }

    /**
     * Test attribute "risk"
     */
    public function testPropertyRisk()
    {
    }

    /**
     * Test attribute "preference"
     */
    public function testPropertyPreference()
    {
    }

    /**
     * Test attribute "suggestion"
     */
    public function testPropertySuggestion()
    {
    }
}
